Bug 983283 - [abrt] fpaste-0.3.7.1-8.fc19: fpaste:128:paste:KeyError: 'id'
[abrt] fpaste-0.3.7.1-8.fc19: fpaste:128:paste:KeyError: 'id'
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fpaste (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ankur Sinha (FranciscoD)
Fedora Extras Quality Assurance
abrt_hash:b02d821ca7143ec235b15b36c0b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-10 17:02 EDT by Igor Gnatenko
Modified: 2014-01-28 22:09 EST (History)
6 users (show)

See Also:
Fixed In Version: fpaste-0.3.7.1-11.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-24 21:22:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (5.03 KB, text/plain)
2013-07-10 17:02 EDT, Igor Gnatenko
no flags Details
File: core_backtrace (214 bytes, text/plain)
2013-07-10 17:02 EDT, Igor Gnatenko
no flags Details
File: environ (2.97 KB, text/plain)
2013-07-10 17:02 EDT, Igor Gnatenko
no flags Details
Proposed patch (184 bytes, patch)
2013-11-13 20:29 EST, Amit Saha
no flags Details | Diff
This git diff will trigger the spam prevention bot and help in reproducing the bug. (65.73 KB, text/plain)
2013-11-13 20:35 EST, Amit Saha
no flags Details

  None (edit)
Description Igor Gnatenko 2013-07-10 17:02:30 EDT
Version-Release number of selected component:
fpaste-0.3.7.1-8.fc19

Additional info:
reporter:       libreport-2.1.5
cmdline:        python /usr/bin/fpaste -l diff
executable:     /usr/bin/fpaste
kernel:         3.9.9-301.fc19.x86_64
runlevel:       N 5
uid:            1000
Comment 1 Igor Gnatenko 2013-07-10 17:02:33 EDT
Created attachment 771867 [details]
File: backtrace
Comment 2 Igor Gnatenko 2013-07-10 17:02:37 EDT
Created attachment 771868 [details]
File: core_backtrace
Comment 3 Igor Gnatenko 2013-07-10 17:02:40 EDT
Created attachment 771869 [details]
File: environ
Comment 4 Igor Gnatenko 2013-09-10 17:11:56 EDT
fpaste 1.c -l c
Comment 5 Amit Saha 2013-11-13 20:29:32 EST
Created attachment 823714 [details]
Proposed patch

I ran into this with  fpaste-0.3.7.1-9.fc20 as well. The attached patch fixes it for me.
Comment 6 Amit Saha 2013-11-13 20:35:12 EST
Created attachment 823715 [details]
This git diff will trigger the spam prevention bot and help in reproducing the bug.
Comment 7 Fedora Update System 2014-01-23 02:05:11 EST
fpaste-0.3.7.1-10.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/fpaste-0.3.7.1-10.fc20
Comment 8 Fedora Update System 2014-01-23 02:05:57 EST
fpaste-0.3.7.1-10.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/fpaste-0.3.7.1-10.fc19
Comment 9 Fedora Update System 2014-01-24 02:46:38 EST
Package fpaste-0.3.7.1-11.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fpaste-0.3.7.1-11.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-1440/fpaste-0.3.7.1-11.fc19
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2014-01-24 21:22:59 EST
fpaste-0.3.7.1-11.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2014-01-28 22:09:36 EST
fpaste-0.3.7.1-11.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.